namespace Baza_Reklam.Classes.Model
{
    public class Agent
    {
        private int _invoiceProvider;
        private string _loginName;
        private string _shortName;
        private string _firstName;
        private string _lastName;

        public Agent(string loginName)
        {
            LoginName = loginName;
        }

        public Agent(string loginName, string shortName, int invoiceProvider)
        {
            LoginName = loginName;
            ShortName = shortName;
            InvoiceProvider = invoiceProvider;
        }

        public string LoginName
        {
            get { return _loginName; }
            set { _loginName = value; }
        }

        public string ShortName
        {
            get { return _shortName; }
            set { _shortName = value; }
        }

        public int InvoiceProvider
        {
            get { return _invoiceProvider; }
            set { _invoiceProvider = value; }
        }

        public string FirstName
        {
            get { return _firstName; }
            set { _firstName = value; }
        }

        public string LastName
        {
            get { return _lastName; }
            set { _lastName = value; }
        }

        public override string ToString()
        {
            return _firstName + " " + _lastName;
        }
    }
}